Bug 240845 - PHP is using too simple MIME database file
Summary: PHP is using too simple MIME database file
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: php   
(Show other bugs)
Version: 5.0
Hardware: All Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Joe Orton
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-05-22 10:47 UTC by Milan Kerslager
Modified: 2008-05-21 14:31 UTC (History)
0 users

Fixed In Version: RHBA-2008-0327
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 14:31:37 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2008:0327 normal SHIPPED_LIVE php enhancement update 2008-05-20 13:26:57 UTC

Description Milan Kerslager 2007-05-22 10:47:15 UTC
PHP is using /etc/httpd/conf/magic file which is too simple (PNG definition is
missing for example). This may be better to use /usr/share/file/magic.mime (for
function from http://cz2.php.net/manual/en/ref.mime-magic.php) like new finfo
functions are using by default (see
http://cz2.php.net/manual/en/function.finfo-open.php).

Comment 2 RHEL Product and Program Management 2008-01-09 17:05:56 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 7 errata-xmlrpc 2008-05-21 14:31:37 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0327.html



Note You need to log in before you can comment on or make changes to this bug.